<template>
  <div class="event-page" ref="page">
    <section v-if="event" class="box event-box">
      <EventCard :key="event_id" :event="event" :user="user"/>
    </section>
    <div style="grid-row: 2; grid-column: 2">
      <section v-if="event && event.latitude && event.longitude" class="box map-box">
        <iframe
          frameborder="0" style="border:0; width: 100%; height: 100%;"
          :src="`https://www.google.com/maps/embed/v1/view?key=AIzaSyBiHDKp3G-GIHL_9dhq7jwc4Qwd-Kss4-o&center=${event.latitude},${event.longitude}&zoom=18&maptype=satellite`"
          allowfullscreen>
        </iframe>
      </section>
      <section v-if="similarEvents" class="box similar-events">
        <EventList :key="event_id" :events="similarEvents"/>
      </section>
    </div>
    <div style="grid-row: 3; grid-column: 2">
      <Footer/>
    </div>
  </div>
</template>

<script>
import axios from 'axios'
import EventList from '../components/EventList'
import EventCard from '../components/EventCard'
import Footer from '../components/Footer'

export default {
  name: 'Event',
  components: { Footer, EventCard, EventList },
  props: ['event_id', 'user'],
  data: () => {
    return {
      event: null,
      similarEvents: null
    }
  },
  created() {
    this.fetch_data(this.event_id);
  },
  methods: {
    fetch_data(event_id) {
      let hostname = this.$hostname;
      axios.get(`${hostname}/api/event/${event_id}/`).then((response) => {
        this.event = response.data;
      }).catch((error) => {
        console.error(error);
      })

      axios.get(`${hostname}/api/event/${event_id}/similar/`).then((response) => {
        this.similarEvents = response.data;
      }).catch((error) => {
        console.error(error);
      })
    },
  }
}
</script>

<style scoped>
.event-page {
  display: grid;
  grid-template-columns: 1fr 75vw 1fr;
  grid-template-rows: 1fr auto auto;
  grid-row-gap: 45px;
  margin-top: 45px;
}

.event-box {
  grid-row: 1;
  grid-column: 2;
}

.map-box {
  grid-row: 2;
  grid-column: 2;
  padding: 0;
  overflow: hidden;
  height: 300px;
  margin-bottom: 45px;
}

.similar-events {
  grid-row: 6;
  grid-column: 2;
}
</style>
